# Class SnpEffPredictorFactoryGenesFile

java.lang.Object
org.snpeff.snpEffect.factory.SnpEffPredictorFactory
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGenesFile

public class SnpEffPredictorFactoryGenesFile extends SnpEffPredictorFactory
This class creates a SnpEffectPredictor from a file (or a set of files) and a configuration The files used are: - genes.txt : Biomart query from Ensembl (see scripts/genes_dataset.xml) - Fasta files: One per chromosome (as described in the config file)

Author:
  pcingola

## Field Summary

### Fields inherited from class SnpEffPredictorFactory

`MARK, MIN_TOTAL_FRAME_COUNT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffPredictorFactoryGenesFile(Config config)`

## Method Summary

Modifier and Type
Method
Description
`SnpEffectPredictor`
`create()`

### Methods inherited from class SnpEffPredictorFactory

`add, add, add, add, add, add, addMarker, addSequences, adjustChromosomes, adjustTranscripts, beforeExonSequences, codingFromCds, collapseZeroLenIntrons, createRandSequences, deleteRedundant, exonsFromCds, exonsFromCds, findGene, findGene, findMarker, findTranscript, findTranscript, getOrCreateChromosome, getProteinByTrId, parsePosition, readExonSequences, replaceTranscript, setCircularCorrectLargeGap, setCreateRandSequences, setDebug, setFastaFile, setFileName, setRandom, setReadSequences, setStoreSequences, setVerbose, showChromoNamesDifferences`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpEffPredictorFactoryGenesFile

public SnpEffPredictorFactoryGenesFile(Config config)

## Method Details

### create

public SnpEffectPredictor create()

Specified by:
  `create` in class `SnpEffPredictorFactory`